@charset "utf-8";

/*//////////////// 共通項目 */
*,
::before,
::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

ul,
ol {
  list-style: none;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  vertical-align: bottom;
}

body {
  font-family: serif;
  font-size: 16px;
  color: #000;
  line-height: 1;
  background-color: #f8f5f0;
  max-width: 100%;
  overflow-x: hidden;
}

:root {
  --glay: #dcd8ef80;
  --boxp: #670c0e;
  --boxy: #c2a77d;
}

.gnav,
#stay h2,
#access h2,
#reservation h2 {
  font-family: serif;
}

/* ////ここからナビゲーション指定 */

header .gnav ul {
  display: flex;
  gap: 80px;
  list-style: none;
  padding: 0;
  margin: 20px 0 0;
}

header .gnav a {
  color: #fff;
  text-decoration: none;
  font-weight: bold;
  display: inline-block;
  transition: transform 0.3s ease, color 0.3s ease;
}

header .gnav a:hover {
  transform: scale(1.2);
}

/* ここからgnav animaiton */
/* header .gnav ul li,
footer nav ul li {
  overflow: hidden;
  padding-bottom: .1rem;
  transition: all 0.3s linear;
}

header .gnav ul li a,
footer nav ul li a {
  position: relative;
}

header .gnav ul li a::after,
footer nav ul li a::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  transform: translateY(110%);
  transition: all 0.3s linear;
}

header .gnav ul li:first-of-type a::after,
footer nav ul li:first-of-type a::after {
  content: "stay";
}

header .gnav ul li:nth-of-type(2) a::after,
footer nav ul li:nth-of-type(2) a::after {
  content: "wedding";
}

header .gnav ul li:nth-of-type(3) a::after,
footer nav ul li:nth-of-type(3) a::after {
  content: "restaurant";
}

header .gnav ul li:nth-of-type(4) a::after,
footer nav ul li:nth-of-type(4) a::after {
  content: "access";
}

header .gnav ul li:nth-of-type(5) a::after,
footer nav ul li:nth-of-type(5) a::after {
  content: "reservation";
}

header .gnav ul li:hover a,
footer nav ul li:hover a {
  animation: up 0.3s linear forwards;
}

@keyframes up {
  100% {
    transform: translateY(-110%);
  }
} */

/*ここまでgnav animaiton */
/* ////ここまでナビゲーション指定 */

/* ///topイメージアニメーション*/
/* .fuwa {
  opacity: 0;
  animation: move00 4s both linear;
}

@keyframes move00 {
  100% {
    opacity: 1;
  }
} */

.topimg img {
  width: 100%;
  height: calc(100vh - 180px);
  object-fit: cover;
}

/* ////ここからヘッダー指定 */
header {
  background-color: #670c0e;
  height: 180px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

header h1 img {
  width: 110px;
  display: block;
  margin: 0 auto;
}

/* header h1 {
  width: 12%;
  margin: 20px auto 0;
} */

/* ////ここまでヘッダー指定 */

/* ////ここからfooter指定*/

footer {
  margin-top: 100px;
  padding: 50px 0;
  color: #fff;
  background-color: var(--boxp);
  text-align: center;
  padding: 40px 0 30px;
}

footer .logo {
  width: 12%;
  /* margin: 100px auto 50px; */
}

footer .logo img {
  width: 90%;
  height: auto;
  display: block;
}

footer nav ul {
  display: flex;
  justify-content: center;
  gap: 80px;
  list-style: none;
  padding: 0;
  margin: 0 0 30px;
}

footer nav a {
  color: #fff;
  text-decoration: none;
  font-weight: bold;
  display: inline-block;
  transition: transform 0.3s ease, color 0.3s ease;
}

footer nav a:hover {
  transform: scale(1.15);
}

.footer-text {
  text-align: left;
}

.footer-flex {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  gap: 10%;
  margin-bottom: 30px;
}


/* ////ここまでfooter指定 */

/*//////////////// ここまで共通項目 */

/*///////////// ここからtopページ */

/* メイン指定 */
/* 幅指定 */

.topconcept {
  margin-top: 30px;
}

.concept_text,
.topstay,
.toprestaurant {
  width: 90%;
  max-width: 1500px;
  margin: 0 auto 120px;
}

/* section.concept */
.topconcept .concept_text {
  display: flex;
  justify-content: space-between;
}

.topbox1 {
  width: 450px;
  height: 590px;
  background-color: #c2a77d;
  position: relative;
}

.topbox1 h2 {
  color: #fff;
  font-family: serif;
  font-size: 32px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.textbox1 h3 {
  font-size: 40px;
  font-weight: normal;
  margin-bottom: 20px;
}

.textbox1 p {
  line-height: 2.1;
}

.textbox1 {
  padding-top: 150px;
}

.concept_back {
  position: relative;
}

.concept_back p {
  color: var(--glay);
  font-family: serif;
}

.concept_back p:first-child {
  font-size: 95px;
  line-height: 1.2;
  position: absolute;
  bottom: 300px;
  left: 50%;
  z-index: -1;
}

.concept_back p:last-child {
  font-size: 50px;
  line-height: 1.5;
  position: absolute;
  bottom: 120px;
  left: 8%;
}

/* section.stay and section.restaurant*/
.topstay img,
.toprestaurant img {
  width: 600px;
  height: 450px;
  object-fit: cover;
  z-index: 2;
}

.stayimg,
.restimg {
  position: relative;
}

.stayimg::before,
.stayimg::after,
.restimg::before,
.restimg::after {
  content: "";
  display: block;
  width: 600px;
  height: 450px;
  background-color: var(--boxp);
  opacity: 0.9;
  position: absolute;
  top: 220px;
  left: 20px;
  z-index: -2;
}

.stayimg::after {
  background-color: var(--boxy);
  opacity: 0.6;
  top: 240px;
  left: 40px;
  z-index: -3;
}

.restimg::before {
  background-color: var(--boxy);
  opacity: 0.6;
  top: 180px;
  left: -580px;
}

.restimg::after {
  top: 160px;
  left: -560px;
  z-index: -3;
}

.topbox2,
.topbox3 {
  width: 450px;
  height: 450px;
  background-color: #c2a77d;
  position: relative;
  /* z-index: -2; */
}

.topbox2 h2,
.topbox3 h2 {
  color: #fff;
  font-family: serif;
  font-size: 32px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.topbox2 h2::after {
  content: "";
  display: block;
  width: 90px;
  height: 2px;
  background-color: #fff;
  position: absolute;
  bottom: -25px;
}

.topbox3 h2::after {
  content: "";
  display: block;
  width: 230px;
  height: 2px;
  background-color: #fff;
  position: absolute;
  bottom: -25px;
}

.topbox2 button {
  display: inline-block;
  border: none;
  outline: none;
  color: #fff;
  background: transparent;
  position: absolute;
  bottom: 30px;
  right: 70px;
  cursor: pointer;
}

.topbox2 button::before {
  content: "";
  display: block;
  position: absolute;
  bottom: 3px;
  right: -39px;
  width: 50%;
  height: 1px;
  background-color: #fff;
  transition: all 0.3s;
}

.topbox2 button::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 8px;
  right: -40px;
  width: 15px;
  height: 1px;
  background-color: #fff;
  transform: rotate(40deg);
  transition: all 0.3s;
}

.topbox2 button:hover::before {
  right: -49px;
}

.topbox2 button:hover::after {
  right: -50px;
}

.topbox3 button {
  display: inline-block;
  border: none;
  color: #fff;
  background: transparent;
  position: absolute;
  bottom: 30px;
  right: 70px;
  cursor: pointer;
  outline: none;
}

.topbox3 button::before {
   content: "";
  display: block;
  position: absolute;
  bottom: 3px;
  right: -39px;
  width: 50%;
  height: 1px;
  background-color: #fff;
  transition: all 0.3s;
  /* content: "";
  display: block;
  position: absolute;
  bottom: 3px;
  left: -39px;
  width: 50%;
  height: 1px;
  background-color: #fff;
  transition: all 0.3s; */
}

.topbox3 button::after {
    content: "";
  display: block;
  position: absolute;
  bottom: 8px;
  right: -40px;
  width: 15px;
  height: 1px;
  background-color: #fff;
  transform: rotate(40deg);
  transition: all 0.3s;
  /* content: "";
  display: block;
  position: absolute;
  bottom: 8px;
  left: -40px;
  width: 15px;
  height: 1px;
  background-color: #fff;
  transform: rotate(-40deg);
  transition: all 0.3s; */
}

.topbox3 button:hover::before {
  right: -49px;
}

.topbox3 button:hover::after {
  right: -50px;
}

.flexbox {
  display: flex;
}

.topstay,
.toprestaurant {
  position: relative;
  margin-bottom: 400px;
}

.topstay .flexbox {
  flex-direction: row-reverse;
  justify-content: space-between;
}

.topstay .flexbox img {
  position: absolute;
  top: 200px;
  left: 0;
  z-index: -2;
}

.topstay p {
  position: absolute;
  top: 30px;
  left: 10%;
  line-height: 1.5;
  opacity: 0.6;
}

.topstay p,
.toprestaurant p {
  font-size: 95px;
  color: var(--glay);
  font-family: serif;
}

.toprestaurant .flexbox {
  justify-content: space-between;
}

.toprestaurant .topbox {
  background-color: var(--boxp);
}

.toprestaurant p {
  position: absolute;
  font-size: 85px;
  right: 0;
  top: 0;
}

.toprestaurant .flexbox img {
  position: absolute;
  top: 200px;
  right: 0;
  z-index: -2;
}

/* section.wedding */

.topwedding .weddingimg img {
  width: 100%;
  height: 600px;
  object-fit: cover;
}

.topwedding {
  padding-bottom: 300px;
  position: relative;
}

.flexbox2 {
  width: 90%;
  max-width: 1500px;
  position: absolute;
  top: 5%;
  left: 50%;
  transform: translateX(-50%);
}

.topbox4 {
  width: 450px;
  height: 450px;
  background-color: #c2a77d;
  position: absolute;
}

.topbox4 h2 {
  font-family: serif;
  font-size: 32px;
  color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.topbox4 h2::after {
  content: "";
  display: block;
  width: 175px;
  height: 2px;
  background-color: #fff;
  position: absolute;
  bottom: -25px;
}

.topbox4 button {
  display: inline-block;
  border: none;
  outline: none;
 color: #fff;
  background: transparent;
  position: absolute;
  bottom: 30px;
  right: 70px;
  cursor: pointer;
}

.topbox4 button::before {
  content: "";
  display: block;
  position: absolute;
  bottom: 3px;
  right: -39px;
  width: 50%;
  height: 1px;
  background-color: #fff;
  transition: all 0.3s;
}

.topbox4 button::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 8px;
  right: -40px;
  width: 15px;
  height: 1px;
  background-color: #fff;
  transform: rotate(40deg);
  transition: all 0.3s;
}

.topbox4 button:hover::before {
  right: -49px;
}

.topbox4 button:hover::after {
  right: -50px;
}

/*///////////// ここまでtopページ */

/* //////////// ここからweddingページ */

.wtopbox-wrap {
  padding-top: 100px;
  position: relative;
}

.wtopbox {
  width: 335px;
  height: 335px;
  background-color: rgba(103, 12, 14, 0.8);
  position: absolute;
  top: 0;
  left: 0;
}

.wtopbox h2 {
  font-family: serif;
  font-size: 32px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.wedding {
  width: 90%;
  max-width: 1500px;
  margin: 0 auto;
  text-align: center;
}

.wedding .text {
  font-size: 20px;
  color: #555;
  margin: 100px 0;
}

.wedding .container {
  margin-bottom: 100px;
  display: grid;
  grid-template-columns: repeat(4, 300px);
  grid-template-rows: repeat(5, 300px);
  justify-content: center;
}

.container .item2 {
  grid-column: 2/4;
  grid-row: 1/2;
}

.container .item3 {
  grid-column: 4/5;
  grid-row: 1/3;
}

.container .item4 {
  grid-column: 1/4;
  grid-row: 2/4;
}

.container .item5 {
  grid-column: 4/5;
  grid-row: 3/4;
  display: grid;
  place-items: center;
}

.container .item6 {
  grid-column: 1/2;
  grid-row: 4/5;
  display: grid;
  place-items: center;
}

.container .item7 {
  grid-column: 2/3;
  grid-row: 4/5;
}

.container .item8 {
  grid-column: 1/2;
  grid-row: 5/6;
}

.container .item9 {
  grid-column: 2/3;
  grid-row: 5/6;
  display: grid;
  place-items: center;
}

.container .item10 {
  grid-column: 3/5;
  grid-row: 4/6;
}

.wedding img {
  object-fit: cover;
}

.container .item1 img,
.container .item7 img,
.container .item8 img {
  width: 100%;
  aspect-ratio: 1/1;
}

.container .item2 img {
  width: 100%;
  aspect-ratio: 2/1;
}

.container .item3 img {
  width: 100%;
  aspect-ratio: 1/2;
}

.container .item4 img {
  width: 100%;
  aspect-ratio: 3/2;
}

.container .item10 img {
  width: 100%;
  aspect-ratio: 1/1;
}

.container .item5 p,
.container .item6 p,
.container .item9 p {
  line-height: 2;
  text-align: center;
}

.wedding button {
  background-color: #670c0e;
  color: #fff;
  font-family: serif;
  padding: 15px 75px;
  margin-top: 60px;
  text-align: center;
  display: inline-block;
  font-size: 1.5em;
  border: none;
  border-radius: 0.8em;
  box-shadow: 5px 5px #b67b7c;
  cursor: pointer;
}

.wedding button:hover {
  transform: translate3d(0, 5px, 0);
  box-shadow: none;
  background: #c2a77d;
  box-shadow: 5px 5px #bb7d1a;
}

/* //////////// ここまでweddingページ */

/* /////////////ここからrestaurantページ */

.rtopbox-wrap {
  padding-top: 100px;
  position: relative;
}

.rtopbox {
  width: 335px;
  height: 335px;
  background-color: rgba(255, 240, 153, 0.7);
  position: absolute;
  top: 0;
  left: 0;
}

.rtopbox h2 {
  font-family: serif;
  font-size: 32px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.restaurant {
  width: 80%;
  max-width: 1500px;
  margin: 100px auto 0;
}

.breakfast,
.lunch {
  margin-bottom: 100px;
}

.breakfast h3,
.lunch h3,
.dinner h3 {
  width: 100%;
  color: #fff;
  background-color: #c2a77d;
  padding: 2rem 1rem;
  font-size: 20px;
}

.breakfast .flex,
.dinner .flex {
  display: flex;
  justify-content: space-between;
}

.lunch .flex {
  display: flex;
  justify-content: space-between;
  flex-direction: row-reverse;
}

.breakfast .mainimg,
.lunch .mainimg,
.dinner .mainimg {
  width: 500px;
  height: 400px;
}

.breakfast .mainimg img,
.lunch .mainimg img,
.dinner .mainimg img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.breakfast .subtext,
.lunch .subtext,
.dinner .subtext {
  font-size: 0.9rem;
  width: 50%;
  padding: 30px 0;
}

.breakfast .subtext p,
.lunch .subtext p,
.dinner .subtext p {
  margin: 2rem auto;
  font-size: 1.2rem;
}

.res-caution p {
  width: 50%;
  margin: 50px auto;
}

/* /////////////ここまでrestaurantページ */

/* ///staypage・accesspage共通 */
.stay_top,
.access_top,
.re_top {
  position: relative;
  margin-top: 50px;
}

.stay_top h2,
.access_top h2,
.re_top h2 {
  position: absolute;
  width: 335px;
  aspect-ratio: 1/1;
  top: -40px;
  left: 0;
  text-align: center;
  padding-top: 150px;
  font-size: 2.1rem;
}

/*/// ここからstayページ*/
.stay_top h2 {
  color: #fff;
  background-color: rgba(103, 12, 14, 0.8);
}

.stay_room h3 {
  text-align: center;
  padding: 5rem 0 3rem;
  font-size: 20px;
}

.stay_room ul {
  width: 60%;
  margin: 50px auto;
  display: grid;
  /* grid-template-columns: repeat(auto-fit, 150px); */
  grid-template-columns: 1fr 1fr;
  gap: 60px;
}

.stay_room ul li {
  width: 100%;
  background-color: #670c0e;
  padding: 10px;
}

.stay_room ul li img {
  max-width: 100%;
  aspect-ratio: 1/1;
  object-fit: cover;
}

.stay_room ul li dt {
  position: relative;
  color: #fff;
  text-align: center;
  margin-top: 30px;
  font-size: 18px;
}

.stay_room ul li dt img {
  position: absolute;
  bottom: 0;
  right: 0;
  object-fit: contain;
  transform: translate(30%, -20%) rotate(-30deg);
}

.stay_room ul li dd {
  padding: 2rem 3rem;
  font-size: 15px;
  text-align: center;
  color: #fff;
}

.stay_room ul li:hover {
  width: 105%;
}

/* reservationbtn */
.reservation {
  margin: 5rem 0 11rem;
  width: 100%;
}

.reservation h3 {
  padding: 1rem 0 2rem 1rem;
  font-size: 20px;
  color: #fff;
}

.reservationwrap {
  width: 70%;
  margin: 0 auto;
  padding: 0.5rem 0.5rem 2rem;
  position: relative;
  border-radius: 1rem;
  background-color: #c2a77d;
  z-index: 3;
}

.reservationwrap form {
  width: 90%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
}

.reservationwrap form input {
  padding: 0.5rem 1.5rem;
}

.reservationwrap form span {
  margin-right: 1rem;
}

.reservationwrap form .btnZ {
  cursor: pointer;
  font-size: 1.1rem;
  color: #fff;
  background-color: #670c0e;
  padding: 0.5rem 1.5rem;
  margin: 1.5rem 0 0 6rem;
  border-radius: 0.5rem;
  font-family: serif;
}

.reservationwrap::after {
  content: "";
  position: absolute;
  top: 0.5rem;
  left: 0.5rem;
  width: 100%;
  height: 100%;
  border-radius: 1rem;
  z-index: -1;
  /* outline: 1px solid #000; */
  box-shadow: 1px 1px 0 #000;
}

.reservation p {
  font-size: 1.2rem;
  width: fit-content;
  margin: 1.8rem auto;
  text-align: right;
  line-height: 1.5;
}

/* /////////ここからaccessページ */
.access_top h2 {
  background-color: rgba(103, 12, 14, 0.8);
  color: #fff;
}

/* .access_top iframe {
  width: 100%;
  height: 75vh;
} */

.infowrap {
  width: 80%;
  margin: 15vh auto;
  padding: 320px 0 10vh 0;
  overflow: hidden;
}

.access_info00 {
  width: 95%;
  margin: 80px auto;
  transform: translateY(-2.3rem);
  outline: 1.5px solid #000;
  padding: 3rem;
  display: flex;
  gap: 50px;
  justify-content: center;
  align-items: center;
}

.info00wrap {
  padding: 1rem;
  line-height: 1.5;
}

.info00wrap h3 {
  font-size: 1.3rem;
  margin-bottom: 1.5rem;
}

.access_train,
.access_car,
.access_airplain {
  width: 95%;
  margin: 0 auto;
  padding: 1rem 0 3rem;
  line-height: 2;
}

.access_train h3,
.access_car h3,
.access_airplain h3 {
  font-size: 20px;
  padding-left: 3rem;
  background-color: #c2a77d;
  height: 80px;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

.access_train p,
.access_car p {
  padding-left: 3rem;
  margin-top: 20px;
}

.access_airplain ul li {
  padding-left: 4rem;
}

.access_airplain ul li {
  margin-bottom: 1.5rem;
}

.access_airplain ul li:not(span) {
  text-indent: -1rem;
}

.access_airplain span:first-of-type {
  font-size: 1.1rem;
}

.access_airplain span:nth-of-type(2) {
  font-size: 0.8rem;
}

.access_airplain ul {
  margin-top: 20px;
}

/*/////ここからreservationページ*/
#reservation {
  width: 100%;
}

.re_top h2 {
  color: #fff;
  background-color: rgba(103, 12, 14, 0.8);
}

/* flow */
.flow {
  width: 80%;
  background-color: #c2a77d;
  margin: 3rem auto 7rem;
  padding: 2rem 3rem;
  border-radius: 3rem;
}

.flow h3 {
  font-size: 24px;
  color: #fff;
  text-align: center;
}

.flow ul {
  display: flex;
  justify-content: space-around;
  align-items: center;
  padding: 1rem;
}

.flow ul li {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 18%;
  aspect-ratio: 1/1;
  background-color: #670c0e;
  color: #fff;
  font-size: 1.5rem;
  font-weight: bold;
  border-radius: 50%;
}

.flow ul li p {
  line-height: 1.5;
  text-align: center;
}

.flow ul li p span {
  font-size: 1.3rem;
  font-weight: normal;
}

.flow ul li:not(:last-of-type)::after {
  content: "▶";
  position: absolute;
  width: 1rem;
  aspect-ratio: 1/1;
  top: 47%;
  right: -3rem;
  color: #670c0e;
}

/* plan */
.re {
  width: 80%;
  margin: 3rem auto 7rem;
}

.re h3 {
  width: 100%;
  padding: 2rem 1rem;
  background-color: #c2a77d;
  color: #fff;
}

.re-wrap {
  display: flex;
  justify-content: space-between;
}

/* アクティブな画像の枠線を変更 */

.sub li.current img {
  border: 2px solid #670c0e;
}

/* レイアウトのためのスタイル */
.container {
  margin: 7rem auto;
  max-width: 50%;
}

.mainimg {
  display: block;
  /* width: 100%; */
  width: 550px;
  height: 400px;
}

.mainimg img {
  display: block;
  /* width: 600px;
  height: 600px; */
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.sub {
  display: flex;
  margin-top: 1rem;
}

.sub li img {
  border: 2px solid transparent;
  cursor: pointer;
  width: 110px;
  height: 110px;
  object-fit: cover;
}

.re-container:nth-of-type(2) {
  width: 40%;
  margin: 0 auto;
  /* padding: 3rem 1rem 0 3rem; */
}

.re-container:nth-of-type(2) p {
  font-size: 1.5rem;
  margin: 2rem auto;
}

.re-container:nth-of-type(2) p:last-of-type {
  text-align: right;
}

.re-container:nth-of-type(2) p:last-of-type a {
  background-color: #670c0e;
  color: #fff;
  padding: 1rem;
  border-radius: 3rem;
}

.caution {
  font-size: 18px;
  width: 50%;
  margin: 0 auto;
}

/* index svg animation */
#svganime {
  width: 135%;
  height: auto;
  position: absolute;
  top: 50%;
  left: 24%;
  transform: translate(-50%, -50%);
}

#base path {
  fill: #eeb4f5;
  /* 塗りの色 */
}

#mask path {
  fill: none;
  /* 塗りの色 */
  stroke: #ffffff;
  /* 線の色 */
  stroke-width: 43px;
  /* 線幅 */
  stroke-linecap: round;
  /* 線端の形状 */
  stroke-linejoin: round;
  /* 角の形状 */
}

.we-reservationwrap {
  width: 50%;
  margin: 0 auto;
  padding: 1.5rem 0.8rem;
  position: relative;
  border-radius: 1rem;
  background-color: #c2a77d;
  z-index: 3;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.we-reservationwrap::after {
  content: "";
  position: absolute;
  top: 0.5rem;
  left: 0.5rem;
  width: 100%;
  height: 100%;
  border-radius: 1rem;
  z-index: -1;
  /* outline: 1px solid #000; */
  box-shadow: 1px 1px 0 #000;
}

.we-reservationwrap h3,
.we-reservationwrap p {
  color: #fff;
}

.we-reservationwrap p {
  width: 100%;
  max-width: 250px;
  text-align: left;
  margin-top: 30px;
  line-height: 1.7;
}

.btn {
  display: none;
}

@media screen and (max-width: 768px) {
  .header {
    padding: 10px;
  }

  .header-fixed {
    position: fixed;
    top: 0;
    width: 100%;
    height: 120px;
    z-index: 500;
  }

  body {
    padding-top: 120px;
  }

  .gnav {
    display: none;
  }

  .topconcept .concept_text,
  .topstay .flexbox,
  .toprestaurant .flexbox {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .topbox1,
  .topbox2,
  .topbox3 {
    width: 90%;
    height: 150px;
    padding: 40px 0;
    margin-bottom: 20px;
  }

  .textbox1 {
    padding-top: 50px;
  }

  .topstay .flexbox img,
  .toprestaurant .flexbox img {
    position: static;
    width: 90%;
    height: auto;
    margin-bottom: 20px;
    z-index: auto;
  }

  .topstay,
  .toprestaurant {
    margin-bottom: 80px;
  }

  .stayimg::before,
  .stayimg::after,
  .restimg::before,
  .restimg::after {
    display: none;
  }

  .flexbox2 {
    position: absolute;
    top: 20%;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    display: flex;
    justify-content: center;
    margin-top: 20px;
    z-index: 3;
  }

  .topbox2 h2::after {
  display: none;
}

.topbox3 h2::after {
  display: none;
}

  .topbox4 {
    position: relative;
    width: 70%;
    height: auto;
    padding: 40px 0;
    margin: 0 auto;
    text-align: center;
  }

  .topbox4 h2 {
    position: static;
    transform: none;
    left: auto;
    top: auto;
    margin: 10px auto;
  }

  .topbox4 button {
    position: relative;
    position: absolute;
    bottom: 30px;
    right: 70px;
    /* margin: 20px auto 0; */
  }

  .topbox4 h2::after {
  display: none;
  }

  /* .topbox4 h2::after {
  content: "";
  display: block;
  width: 175px;
  height: 2px;
  background-color: #fff;
  position: absolute;
  bottom: -25px;
} */

  .topwedding {
    position: relative;
    padding-bottom: 150px;
  }

  .gnav {
    /* ボタンを押す前は非表示 */
    /* display: none; */
    background-color: #c2a77d;
    /* 親要素基準での位置決め */
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 100vh;
    /* 重なり順 */
    z-index: 111;
    /* 左右の中央ぞろえ */
    display: flex;
    justify-content: center;
    /* 上下の中央ぞろえ */
    align-items: center;
    /* 切り取る　四角 */
    clip-path: inset(0 0 100% 0);
    transition: all 0.5s;
  }
  .gnav.is-show {
    clip-path: inset(0 0 0 0);
  }

  .btn {
    position: fixed;
    right: 30px;
    display: block;
    width: 40px;
    aspect-ratio: 1/1;
    background-color: transparent;
    border: none;
    outline: none;
    z-index: 222;
  }

  .line,
  .line::before,
  .line::after {
    display: block;
    width: 30px;
    height: 1.3px;
    background-color: #fff;
    position: relative;
    transition: all 0.5s 0.5s, rotate 0.5s 0s;
  }
  .line::before,
  .line::after {
    content: "";
    position: absolute;
    left: 0;
  }
  .line::before {
    top: -10px;
  }
  .line::after {
    top: 10px;
  }
  .is-show .line {
    background-color: #00000000;
  }
  .is-show .line::before {
    top: 0;
    transition: all 0.5s 0s, rotate 0.5s 0.5s;
    rotate: 45deg;
  }
  .is-show .line::after {
    top: 0;
    transition: all 0.5s 0s, rotate 0.5s 0.5s;
    rotate: -45deg;
  }

  header .gnav ul {
    display: block;
    line-height: 4;
    font-size: 20px;
  }

  .stay_room ul {
    display: block;
  }

  .stay_room ul li {
    margin-top: 40px;
  }

  .reservationwrap form {
    display: grid;
    gap: 30px;
  }

  .wedding .container {
    display: block;
    max-width: 70%;
  }

  .breakfast .flex,
  .dinner .flex,
  .lunch .flex {
    display: block;
  }

  .breakfast .mainimg,
  .lunch .mainimg,
  .dinner .mainimg {
    width: 100%;
    height: 350px;
  }

  .breakfast h3,
  .lunch h3,
  .dinner h3 {
    width: 100%;
  }

  .breakfast .subtext,
  .lunch .subtext,
  .dinner .subtext {
    width: 100%;
    padding: 1.5rem 1rem;
  }

  .res-caution p {
    width: 90%;
    margin: 120px auto;
  }

  .access_info00 {
    display: block;
    width: 95%;
    margin: 40px auto;
    padding: 2rem;
    outline: 1.5px solid #000;
    display: flex;
    flex-direction: column;  
    align-items: center;    
    gap: 2rem;
  }

  .access_info00 iframe {
    width: 100%;
    height: 300px;
  }

  .access_info00 .info00wrap {
    text-align: center;     
  }

  .flow ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem; 
    padding: 1rem 0;
  }

  .flow ul li {
    position: relative;
    display: flex;          
    flex-direction: column;  
    justify-content: center;
    align-items: center;
    width: 50%;         
    height: 50%;         
    background-color: #670c0e;
    color: #fff;
    font-size: 1.2rem;
    font-weight: bold;
    border-radius: 50%;
  }

  .flow ul li p {
    text-align: center;
    margin: 0;             
    line-height: 1.3;
  }

  .flow ul li p span {
    display: block;        
    font-size: 1rem;
    font-weight: normal;
    margin-top: 0.2rem;
  }

  .flow {
    width: 60%;
  }

  .flow ul li:not(:last-of-type)::after {
    display: none;
  }
    /* content: "▶";
    position: absolute;
    width: 1rem;
    aspect-ratio: 1/1;
    color: #670c0e;
    top: 110%;
    right: 4.5rem;
    rotate: 90deg;
  } */

  .re-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
  }

  .re-container {
    width: 90%;             /* 横幅を画面に合わせて調整 */
    margin: 0 auto;
  }

  .re-container:nth-of-type(2) {
    width: 90%;             /* 文字コンテンツも同じ幅に */
  }

  .re-container p {
    font-size: 1.2rem;      /* モバイル向けに文字サイズ調整 */
    margin: 1rem auto;
  }

  .re-container p:last-of-type {
    text-align: center; 
}

.caution {
  width: 80%;
}

footer nav {
  display: none;
}

footer .logo {
  width: 150px;
}

}

.topbox3 button::before {
  content: "";
  display: block;
  position: absolute;
  bottom: 3px;
  right: -39px;
  width: 50%;
  height: 1px;
  background-color: #fff;
  transition: all 0.3s;
}

.topbox3 button::after {
  content: "";
  display: block;
  position: absolute;
  bottom: 8px;
  right: -40px;
  width: 15px;
  height: 1px;
  background-color: #fff;
  transform: rotate(40deg);
  transition: all 0.3s;
}